Bug 805999 - Review Request: jboss-saaj-1.3-api - SOAP with Attachments API for Java 1.3
Review Request: jboss-saaj-1.3-api - SOAP with Attachments API for Java 1.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 12:13 EDT by Juan Hernández
Modified: 2012-04-11 22:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-saaj-1.3-api-1.0.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Marek Goldmann 2012-03-23 06:54:58 EDT
I'll take it.
Comment 2 Marek Goldmann 2012-03-23 07:19:27 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/jboss-saaj-1.3-api.spec 
SPECS/jboss-saaj-1.3-api.spec: W: invalid-url Source0: jboss-saaj-1.3-api-1.0.2.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
$ rpmlint SRPMS/jboss-saaj-1.3-api-1.0.2-1.fc17.src.rpm 
jboss-saaj-1.3-api.src: I: enchant-dictionary-not-found en_US
jboss-saaj-1.3-api.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-saaj-1.3-api.src: W: invalid-url Source0: jboss-saaj-1.3-api-1.0.2.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
$ rpmlint RPMS/noarch/jboss-saaj-1.3-api-1.0.2-1.fc17.noarch.rpm 
jboss-saaj-1.3-api.noarch: I: enchant-dictionary-not-found en_US
jboss-saaj-1.3-api.noarch: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-saaj-1.3-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-saaj-1.3-api-1.0.2/LICENSE
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Upstream informed about the FSF address issue.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type: CDDL or GPLv2 with exceptions
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : a560b846b8b15e3a92287098c455ef46
MD5SUM upstream package: a560b846b8b15e3a92287098c455ef46
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3925837

================
*** APPROVED ***
================
Comment 3 Juan Hernández 2012-03-23 07:23:18 EDT
New Package SCM Request
=======================
Package Name: jboss-saaj-1.3-api
Short Description: SOAP with Attachments API for Java 1.3
Owners: jhernand
Branches: f17
InitialCC: goldmann
Comment 4 Gwyn Ciesla 2012-03-23 08:49:17 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-03-23 09:33:10 EDT
jboss-saaj-1.3-api-1.0.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-saaj-1.3-api-1.0.2-1.fc17
Comment 6 Fedora Update System 2012-03-23 13:11:29 EDT
jboss-saaj-1.3-api-1.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-04-11 22:40:02 EDT
jboss-saaj-1.3-api-1.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.